#1930 closed defect (fixed)

arm-rtemseabi-gcc: Incorrect ssize_t

Reported by: Ralf Corsepius Owned by: Ralf Corsepius
Priority: normal Milestone: 4.11
Component: tool/gcc Version: 4.11
Severity: normal Keywords:
Cc: sebastian.huber@… Blocked By:
Blocking:

Description (last modified by Gedare Bloom)

ssize_t is not set correctly in arm-rtemseabi4.11 <= 4.6.1-5

Apparently arm-eabi uses different types for ssize_t/size_t than arm-elf,
a case current RTEMS ssize_t setup-magic in newlib does not catch.

I am working on a fix.

[This PR primarily is remainder to myself]

Change History (4)

comment:1 Changed on Oct 6, 2011 at 5:06:19 AM by Ralf Corsepius

Cc: Sebastian Huber added

comment:2 Changed on Oct 6, 2011 at 10:51:58 AM by Ralf Corsepius

Resolution: fixed
Status: newclosed

Fix added to contrib/crossrpms/patches/newlib-1.19.0-rtems4.11-20111006.diff

rpms-specs updated, toolchain builts for arm-rtems4.11 and arm-rtemseabi4.11 are in progress and will likely land in the repos later today.

Closing.

comment:3 Changed on Nov 22, 2014 at 12:21:58 PM by Gedare Bloom

Description: modified (diff)
Milestone: 4.11
Version: unspecified4.11

comment:4 Changed on Oct 10, 2017 at 5:58:26 AM by Sebastian Huber

Component: GCCtool/gcc
Note: See TracTickets for help on using tickets.